Bug 487436 - Qdisk should choose first disk if multiple disks containing same label exist
Qdisk should choose first disk if multiple disks containing same label exist
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: cman (Show other bugs)
5.3
All Linux
low Severity medium
: rc
: ---
Assigned To: Lon Hohberger
Cluster QE
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-02-25 18:15 EST by Corey Marthaler
Modified: 2010-03-14 17:30 EDT (History)
3 users (show)

See Also:
Fixed In Version: cman-2.0.100-1.el5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-02 07:09:36 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Corey Marthaler 2009-02-25 18:15:01 EST
Description of problem:
Currently it doesn't choose either of them and just fails to initialize.

Feb 25 11:32:29 taft-04 qdiskd[23382]: <crit> Initialization failed

Version-Release number of selected component (if applicable):
2.6.18-128.el5
cman-2.0.98-1.el5
Comment 1 Corey Marthaler 2009-02-25 18:15:52 EST
It should also give a warning about 2 being found.
Comment 3 Corey Marthaler 2009-03-17 12:22:12 EDT
Fix verified in cman-2.0.99-1.el5.

Mar 17 11:18:19 taft-01 qdiskd[7705]: <warning> 2 matches found for label 'TAFT'; please use 'device=' instead!
Mar 17 11:18:19 taft-01 qdiskd[7705]: <info> Quorum Partition: /dev/disk/by-id/scsi-3600805f3000a05b0000000005022000e-part1 Label: TAFT
Mar 17 11:18:19 taft-01 qdiskd[7706]: <info> Quorum Daemon Initializing
Mar 17 11:18:22 taft-01 qdiskd[7706]: <info> Heuristic: 'ping -c3 -t5 sts.lab.msp.redhat.com' UP
Mar 17 11:18:29 taft-01 qdiskd[7706]: <info> Initial score 1/1
Mar 17 11:18:29 taft-01 qdiskd[7706]: <info> Initialization complete
Mar 17 11:18:29 taft-01 openais[7633]: [CMAN ] quorum device registered
Mar 17 11:18:29 taft-01 qdiskd[7706]: <notice> Score sufficient for master operation (1/1; required=1); upgrading
Mar 17 11:18:35 taft-01 qdiskd[7706]: <info> Assuming master role
Comment 5 Lon Hohberger 2009-07-22 15:18:22 EDT
Cause: Having two or more qdisk partitions with the same label available to a node

Consequence: Qdiskd selects one at random, with no warning.  This may be the wrong
quorum disk for a given cluster, causing split-brain behavior.

Fix: Add a warning when two quorum disk partitions with the same label are found.

Result: Warnings are now placed in the logs if qdiskd detects more than one device with the same label.  Administrators should only ever have one quorum disk with a given label available to any given cluster node.
Comment 7 errata-xmlrpc 2009-09-02 07:09:36 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2009-1341.html

Note You need to log in before you can comment on or make changes to this bug.